Riak compile error: Module gen_server2 potentially included by two different applications: rabbit_common and riak_core

Brett Hoerner brett at bretthoerner.com
Wed Jul 27 10:56:09 EDT 2011


On Wed, Jul 27, 2011 at 2:15 AM, Alvaro Videla <videlalvaro at gmail.com> wrote:
> Why it fails on you I don't know. Are you running both systems in the same
> Erlang VM?

I ... wouldn't think so? I'm running Rabbit and it's using this Erlang
binary, but shouldn't this build be running a different Erlang
process? I'm not even sure how they could be stepping on each other's
feet.

To be clear (if it isn't obvious), I'm no Erlang developer, I just
want to be able to build master to play with secondary indexes, etc.

Brett




More information about the riak-users mailing list